com.r3corda.node.driver / PortAllocation

# PortAllocation

`sealed class PortAllocation`

### Types

Incremental | `class Incremental : PortAllocation`
RandomFree | `class RandomFree : PortAllocation`

### Functions

nextHostAndPort | `fun nextHostAndPort(): <ERROR CLASS>`
nextPort | `abstract fun nextPort(): Int`

### Inheritors

Incremental | `class Incremental : PortAllocation`
RandomFree | `class RandomFree : PortAllocation`